@font-face {
  font-family: "DinCondensed";
  src: url("./fonts/D-DINCondensed.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "DinCondensed";
  src: url("./fonts/D-DINCondensed-Bold.woff2") format("woff2");
  font-style: normal;
  font-weight: bold;
  font-display: swap;
}

@font-face {
  font-family: "Helvetica Neue";
  src: url("./fonts/HelveticaNeueRoman.woff2") format("woff2");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family:
    "DinCondensed",
    "Helvetica Neue",
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Oxygen,
    Ubuntu,
    Cantarell,
    sans-serif !important;

  overflow-x: hidden;
  display: grid;
  grid-template-rows: auto 1fr;
  min-height: 100vh;
  width: 100vw;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: normal;
}

/* Navbar */
.navbar {
  font-family: "Helvetica Neue";
  background-color: #ffffff;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 1.5rem 0.75rem 1rem 0.75rem;
  position: relative;
  z-index: 100;
  width: 100%;
}

.nav-container {
  display: grid;
  grid-template-areas:
    "logo social-links"
    "contact-links null";
  gap: 0.5rem;
  row-gap: 1.5rem;
  margin: 0 auto;
}

.nav-social-icon {
  grid-area: social-links;
  width: 1.5rem;
  height: 1.5rem;
}

.logo {
  grid-area: logo;
  display: flex;
  justify-content: start;
}

.logo img {
  height: 68px;
  width: auto;
}

.contact-links {
  grid-area: contact-links;
  display: grid;
  gap: 0.5rem;
  justify-content: start;
  font-size: 1rem;
}

.contact-link {
  text-decoration: none;
  color: #303484;
  font-weight: 500;
  display: flex;
  align-items: center;
  gap: 12px;
}

.contact-link-icon {
  width: 1.5rem;
  height: 1.5rem;
  object-fit: cover;
}

/* Hero Section */
.desktop-hero {
  display: none;
}

.mobile-hero {
  display: block;
}

.container {
  width: 100%;
  color: #ffffff;

  background-color: #4d4590;
  background-size: cover;

  font-weight: normal !important;
}

.hero {
  height: 100%;
  width: 100%;
  display: grid;
  padding: 1rem;
  max-width: 1200px;
  margin: 0 auto;
}

.hero-title {
  font-size: 3rem;
  font-family: "DinCondensed";
  font-weight: bold;
  line-height: 0.9;
}

.hero-content {
  display: grid;
  justify-content: space-between;
  height: 100%;
}

.hero-text-content {
  grid-column: 1 / 2;
  font-family: "DinCondensed";
  height: fit-content;
}

.cta-container {
  margin-top: 1rem;
}

.cta-button {
  display: block;
  width: fit-content;
  border-radius: 10px;
  background-color: #af5594;
  padding: 8px 12px;
  letter-spacing: 0.02em;
  color: #fff;
  font-family: "DinCondensed";
  font-weight: bold;
  font-size: 1.5rem;
  border: none;
  margin-top: 1rem;
  text-decoration: none;
}

.hero-subcontent {
  line-height: 1.4;
  font-size: 1rem;
}

.hero-subtitle {
  color: #af5594;
  margin-top: 2rem;
  font-size: 2rem;
  font-weight: bold;
  line-height: 1;
}

.hero-image-content {
  height: auto;
  width: 75%;
  margin-top: 2rem;
}

.hero-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: bottom left;
}

.nav-social-icons {
  display: flex;
  align-items: center;
  width: fit-content;
  gap: 0.5rem;
}

.extra-info {
  display: grid;
  max-height: 80px;
  margin-top: 2rem;

  grid-template-rows: 1fr 1fr;
  row-gap: 1rem;
  font-size: 1rem;
}

/* Mobile Styles — min-width: 450px */
@media (min-width: 450px) {
  .nav-social-icons {
    flex-direction: row;
    margin-left: 0;
    grid-row: 1 / 2;
    gap: 1rem;
  }

  .hero-title {
    justify-self: center;
  }

  .hero-subtitle {
    justify-self: center;
  }

  .hero-image-content {
    height: auto;
    width: 50%;
    justify-self: center;
  }

  .cta-button {
    margin: 1rem auto 0 auto;
  }
}

/* Tablet Styles — min-width: 700px */
@media (min-width: 700px) {
  /* Navbar */
  .navbar {
    padding: 1rem 2rem;
  }

  .nav-container {
    grid-template-columns: 1fr min-content 1fr;
    grid-template-areas: none;

    justify-content: space-between;
    gap: 2rem;
    align-items: center;
  }

  .nav-social-icons {
    grid-area: auto;
  }

  .logo {
    grid-area: auto;
    justify-content: flex-start;
  }

  .logo img {
    height: 80px;
  }

  .contact-links {
    grid-area: auto;
    grid-auto-flow: row;
    gap: 1rem;
  }

  /* Hero Section */
  .desktop-hero {
    display: block;
  }

  .mobile-hero {
    display: none;
  }

  .container {
    height: calc(100vh - 112px);
  }

  .hero {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    padding: 2rem;
  }

  .hero-text-content {
    margin: auto 0;
  }

  .hero-image-content {
    height: 50%;
    width: fit-content;
    margin: auto auto auto 20px;
    justify-self: normal;
  }

  .hero-image {
    object-fit: contain;
    object-position: bottom;
  }

  .hero-subtitle {
    font-size: 2.5rem;
    justify-self: normal;
  }

  .hero-title-container {
    height: 4rem;
  }

  .hero-title {
    position: absolute;
    justify-self: normal;
    font-size: 3.5rem;
  }

  .hero-subcontent {
    line-height: 1.4;
    font-size: 1.25rem;
    margin-top: 2rem;
    max-width: 440px;
  }

  .cta-button {
    font-size: 1.5rem;
    margin: 2rem 0 0 0;
  }

  .cta-container {
    margin-top: 2rem;
  }

  .extra-info {
    margin-top: auto;
    font-size: 1.2rem;
  }
}

/* Desktop Styles — min-width: 850px */
@media (min-width: 850px) {
  /* Navbar */
  .navbar {
    padding: 1rem 2rem;
  }

  .nav-container {
    grid-template-columns: 1fr min-content 1fr;
    grid-template-areas: none;

    justify-content: space-between;
    gap: 2rem;
    align-items: center;
  }

  .nav-social-icons {
    grid-area: auto;
  }

  .logo {
    grid-area: auto;
    justify-content: flex-start;
  }

  .logo img {
    height: 80px;
  }

  .contact-links {
    grid-area: auto;
    grid-auto-flow: row;
    gap: 1rem;
    justify-content: end;
  }

  .cta-button {
    font-size: 2rem;
  }

  .hero-title {
    font-size: 4rem;
  }

  .hero-subtitle {
    font-size: 3rem;
  }
}

/* Large Desktop Styles — min-width: 1200px */
@media (min-width: 1200px) {
  /* Navbar */
  .navbar {
    padding: 1rem 3rem;
  }

  .contact-links {
    grid-auto-flow: column;
    gap: 2rem;
  }

  /* Hero Section */
}
